Clone Drone in the Danger Zone System Requirements

Are you going to paly the Clone Drone in the Danger Zone, and looking for Clone Drone in the Danger Zone System Requirements. Finally, Here you can read both minimum and recommended which is provided by Can You RUN It.

Clone Drone in the Danger Zone-Icon
TITLE: Clone Drone in the Danger Zone
GENREAction, Indie, Early Access
DEVELOPERDoborog Games
PUBLISHERDoborog Games
RELEASE DATE: 16 Mar, 2017

Clone Drone in the Danger Zone System Requirements:

Windows
Mac OS X
SteamOS + Linux
    Minimum:
    • OS: Windows 7 or newer
    • Processor: Modern quad-core (AMD FX-Series or newer, Intel Core i5 or faster)
    • Memory: 2 GB RAM
    • Graphics: AMD Radeon HD 5770 or faster, Nvidia GeForce GT 640 or faster
    • Storage: 1 GB available space
    Minimum:
    • OS: OS X / macOS 10.8+ (Mountain Lion, Mavericks, Yosemite, El Capitan, Sierra)
    • Processor: 3rd gen core i5 or newer
    • Memory: 2 GB RAM
    • Graphics: Dedicated Radeon or GeForce graphics
    • Storage: 1 GB available space
Clone Drone in the Danger Zone Yet, not available for SteamOS + Linux. Please check back again. We will update when it is available.

Clone Drone in the Danger Zone is available in the following languages:

Interface Full Audio Subtitles
English
French
Italian
German
Spanish – Spain
Portuguese – Brazil
Russian
Simplified Chinese
Spanish – Latin America
Japanese
Korean

You can also check OCTOPATH TRAVELER™ System Requirements

Clone Drone in the Danger Zone System Requirements recommendation By Can You RUN It

If you want to run Clone Drone in the Danger Zone on PC/Laptop, then you must have a machine with following specification. You will need a machine at last have Windows 7 or newer with 2 GB RAM, Modern quad-core (AMD FX-Series or newer, Intel Core i5 or faster), You will need AMD Radeon HD 5770 or faster, Nvidia GeForce GT 640 or faster, and HDD 1 GB available space.

You may also like...

Leave a Reply

Your email address will not be published.